View Issue Details

IDProjectCategoryView StatusLast Update
0034459LazarusPackagespublic2018-12-25 20:23
ReporterBBazAssigned ToZeljan Rikalo 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.1 (SVN)Product Build 
Target VersionFixed in Version 
Summary0034459: Anchordocking + Qt4, Themed caption as header style is not rendered correctly
DescriptionSee attached screenshot. I suspect that the bad theme resource is used, as "written" on the screenshot.
TagsNo tags attached.
Fixed in Revision59595
LazTarget-
WidgetsetQT, QT5
Attached Files

Activities

BBaz

2018-10-26 08:13

reporter  

themed_caption_qt4.png (54,819 bytes)
themed_caption_qt4.png (54,819 bytes)

Andrey Zubarev

2018-10-27 07:49

reporter   ~0111598

Issue for themes.pas, Anchordocking just use themes.pas for draw header, themes.pas not able to draw all elements in all widgesets

Zeljan Rikalo

2018-11-18 13:02

developer   ~0112042

Please create and attach example project which paints mentioned object via themes. I don't use AnchorDocking at all

Andrey Zubarev

2018-11-18 15:05

reporter   ~0112045

Try https://github.com/zamtmn/themestest
or try lazarus/components/anchordocking/minide example

Need implement twSmallCaptionActive, twSmallCaptionInactive, twSmallFrameBottomActive, twSmallFrameBottomInactive

Andrey Zubarev

2018-11-18 15:10

reporter  

twSmallCaptionActive.png (54,119 bytes)
twSmallCaptionActive.png (54,119 bytes)

Andrey Zubarev

2018-11-18 15:10

reporter  

Andrey Zubarev

2018-11-18 15:11

reporter  

Andrey Zubarev

2018-11-18 15:11

reporter  

Zeljan Rikalo

2018-11-18 17:57

developer   ~0112048

Fixed Qt4 and Qt5. Please test and close if ok.

Issue History

Date Modified Username Field Change
2018-10-26 08:13 BBaz New Issue
2018-10-26 08:13 BBaz File Added: themed_caption_qt4.png
2018-10-27 07:49 Andrey Zubarev Note Added: 0111598
2018-10-28 11:51 Zeljan Rikalo Assigned To => Zeljan Rikalo
2018-10-28 11:51 Zeljan Rikalo Status new => assigned
2018-11-18 13:02 Zeljan Rikalo LazTarget => -
2018-11-18 13:02 Zeljan Rikalo Note Added: 0112042
2018-11-18 13:02 Zeljan Rikalo Status assigned => feedback
2018-11-18 15:05 Andrey Zubarev Note Added: 0112045
2018-11-18 15:10 Andrey Zubarev File Added: twSmallCaptionActive.png
2018-11-18 15:10 Andrey Zubarev File Added: twSmallCaptionInactive.png
2018-11-18 15:11 Andrey Zubarev File Added: twSmallFrameBottomActive.png
2018-11-18 15:11 Andrey Zubarev File Added: twSmallFrameBottomInactive.png
2018-11-18 17:57 Zeljan Rikalo Fixed in Revision => 59595
2018-11-18 17:57 Zeljan Rikalo Widgetset QT => QT, QT5
2018-11-18 17:57 Zeljan Rikalo Note Added: 0112048
2018-11-18 17:57 Zeljan Rikalo Status feedback => resolved
2018-11-18 17:57 Zeljan Rikalo Resolution open => fixed
2018-12-25 20:23 BBaz Status resolved => closed